All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IDSelectorRange Struct Reference

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::IDSelectorRange:

## Public Member Functions

| IDSelectorRange (idx_t imin, idx_t imax)
virtual bool | is_member (idx_t id) const override

## Public Attributes

idx_t | imin
idx_t | imax

## Additional Inherited Members

Public Types inherited from faiss::IDSelector
typedef Index::idx_t | idx_t

## Detailed Description

remove ids between [imni, imax)

Definition at line 67 of file AuxIndexStructures.h.

The documentation for this struct was generated from the following files:

- AuxIndexStructures.h
- AuxIndexStructures.cpp